slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPSetFromOptions

Sets NEP options from the options database. This routine must be called before NEPSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetFromOptions(NEP nep)

Collective on NEP

### Input Parameters

| nep | - the nonlinear eigensolver context

### Notes

To see all options, run your program with the -help option.

Location: src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex20.c.html
src/nep/examples/tutorials/ex21.c.html
src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex20f90.F90.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html